Page MenuHomePhabricator

[OpenMP][NFCI] Move OpenMP clause information to `lib/Frontend/OpenMP`
ClosedPublic

Authored by jdoerfert on Mar 30 2020, 6:43 PM.

Details

Summary

This is a cleanup and normalization patch that also enables reuse with
Flang later on. A follow up will clean up and move the directive ->
clauses mapping.

Diff Detail

Event Timeline

jdoerfert created this revision.Mar 30 2020, 6:43 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 30 2020, 6:43 PM
martong removed a subscriber: martong.Mar 31 2020, 12:57 AM

Thanks for doing this. I looked at all of it, and the changes seem to be you just moved things to llvm/Frontend, and fixed namespaces/includes to work correctly with the new location. Is there here anything else I am missing?

Thanks for doing this. I looked at all of it, and the changes seem to be you just moved things to llvm/Frontend, and fixed namespaces/includes to work correctly with the new location. Is there here anything else I am missing?

Not really. This moves the macros and the two helper functions (string -> enum, enum -> string) into lib/Frontend and adjusts everything to work again. No functional change was intended and no tests output changed.

Figured as much, just wanted to be sure. Anyways, this one also LGTM
I'll wait a couple of days in case any one has comments, if not I'll approve it

NOTE: I mixed this one up with the follow up that was approved already (D77113) and committed it. If it turns out to be problematic we revert but I'll leave it for now as there was a positive review from @fghanim .

Reverted in 1858f4b50dd35c28b377ba5dbc572fed43a5d38a as some uses need fixing, didn't build clang-tidy locally apparently.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 2 2020, 12:30 AM
This revision was automatically updated to reflect the committed changes.
jdoerfert reopened this revision.Apr 2 2020, 8:02 AM
jdoerfert updated this revision to Diff 254550.Apr 2 2020, 9:36 AM

Update with clang-tidy and documentation adjustments

fghanim accepted this revision.EditedApr 2 2020, 3:04 PM

OK, As I said a few days ago, I went over the patch, and I didn't see any functional changes. I am accepting this patch.

This revision is now accepted and ready to land.Apr 2 2020, 3:04 PM
This revision was automatically updated to reflect the committed changes.